Get Appointment Notes
http
GET https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notesAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
appointmentId | string | Yes | Appointment ID |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
limit | number | Yes | 10 | Limit of notes to fetch |
offset | number | Yes | 0 | Offset of notes to fetch |
Responses
200 - Successful response
notes(object[])id(string): Example:HGPcayliwcdoUFzvbTokbody(string): Example:lorem ipsumuserId(string): Example:TUcmRxWrjqzJS8EjkxNKdateAdded(string): Example:2021-07-08T12:02:11.285ZcontactId(string): Example:TUcmRxWrjqzJS8EjkxNKcreatedBy(object)id(string): Example:TUcmRxWrname(string): Example:John Doe
hasMore(boolean): Example:True
json
{
"notes": [
{
"id": "HGPcayliwcdoUFzvbTok",
"body": "lorem ipsum",
"userId": "TUcmRxWrjqzJS8EjkxNK",
"dateAdded": "2021-07-08T12:02:11.285Z",
"contactId": "TUcmRxWrjqzJS8EjkxNK",
"createdBy": {
"id": "TUcmRxWr",
"name": "John Doe"
}
}
],
"hasMore": true
}400 - Bad Request
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);